package com.iamberry.wechat.core.entity.banner;

import java.util.Date;

/**
 * @author 何秀刚
 * Introduction to the ： 活动bannerIMG
 * create date: 2016年1月8日
 */
public class ActionBannerImage implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -1111415961864850045L;

	private Integer bannerImageId; // ID
	
	private String bannerImageUrl; // 图片链接，eg:/common/banner/a.png
	
	private String bannerImageCheckOutUrl; // banner外链
	
	private Date bannerCreateDate; // banner创建时间
	
	private Integer bannerId; // 所属ID

	public Integer getBannerImageId() {
		return bannerImageId;
	}

	public void setBannerImageId(Integer bannerImageId) {
		this.bannerImageId = bannerImageId;
	}

	public String getBannerImageUrl() {
		return bannerImageUrl;
	}

	public void setBannerImageUrl(String bannerImageUrl) {
		this.bannerImageUrl = bannerImageUrl;
	}

	public String getBannerImageCheckOutUrl() {
		return bannerImageCheckOutUrl;
	}

	public void setBannerImageCheckOutUrl(String bannerImageCheckOutUrl) {
		this.bannerImageCheckOutUrl = bannerImageCheckOutUrl;
	}

	public Date getBannerCreateDate() {
		return bannerCreateDate;
	}

	public void setBannerCreateDate(Date bannerCreateDate) {
		this.bannerCreateDate = bannerCreateDate;
	}

	public Integer getBannerId() {
		return bannerId;
	}

	public void setBannerId(Integer bannerId) {
		this.bannerId = bannerId;
	}

	@Override
	public String toString() {
		return "ActionBannerImage [bannerImageId=" + bannerImageId
				+ ", bannerImageUrl=" + bannerImageUrl
				+ ", bannerImageCheckOutUrl=" + bannerImageCheckOutUrl
				+ ", bannerCreateDate=" + bannerCreateDate + ", bannerId="
				+ bannerId + "]";
	}
}
